;; Copyright 2007, 2009, 2010, 2012 Kevin Ryde.

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.

(progn
  (add-to-list 'load-path "..")
  (autoload 'texinfo-nobreak-enable "texinfo-nobreak")
  (add-hook 'texinfo-mode-hook 'texinfo-nobreak-enable)

  (find-file "t-texinfo-nobreak.texi")
  )

(customize-variable 'texinfo-mode-hook)



;;-----------------
;; compile

(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-byte-compile))
(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-show-autoloads))

;;-----------------------------------------------------------------------------
;; unused

(defun my-without-custom-type (var &rest body)
  ;; (declare (indent 1)) ;; emacs22,xemacs21, or 'cl
  `(let ((my-with-custom-type--save (get ,var 'custom-type)))
     (put ,var 'custom-type nil)
     (unwind-protect
         (progn ,@body)
       (put ,var 'custom-type my-with-custom-type--save))))
(put 'my-with-custom-type 'lisp-indent-function 1)


