;; Copyright 2010, 2013 Kevin Ryde

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.

;;-----------------------------------------------------------------------------
;; toplevel defmacro

(defmacro t-bytecomp-simplify--macro1 ()
  '(message "hi"))
(put 't-bytecomp-simplify--macro1 'lisp-indent-function 1)

(put 't-bytecomp-simplify--macro2 'lisp-indent-function 1)
(defmacro t-bytecomp-simplify--macro2 ()
  '(message "hi"))


;;-----------------------------------------------------------------------------
;; defmacro within progn

(progn
  (defmacro t-bytecomp-simplify--macro3 ()
    '(message "hi")))
(put 't-bytecomp-simplify--macro3 'lisp-indent-function 1)


;; FIXME: this is supposed to test a put before the defmacro, but broken in
;; 24.3
(progn
  (defmacro t-bytecomp-simplify--macro4 ()
    '(message "hi")))
(put 't-bytecomp-simplify--macro4 'lisp-indent-function 1)


;;-----------------------------------------------------------------------------
;; eval-and-compile

(eval-and-compile
  (defmacro t-bytecomp-simplify--macro5 ()
    '(message "hi")))
(put 't-bytecomp-simplify--macro5 'lisp-indent-function 1)



;; FIXME: this is supposed to test a put before the defmacro, but broken in
;; 24.3
(eval-and-compile
  (defmacro t-bytecomp-simplify--macro6 ()
    '(message "hi")))
(put 't-bytecomp-simplify--macro6 'lisp-indent-function 1)


;;-----------------------------------------------------------------------------
;; eval-when-compile

(eval-when-compile
  (defmacro t-bytecomp-simplify--macro7 ()
    '(message "hi")))
(put 't-bytecomp-simplify--macro7 'lisp-indent-function 1)

(put 't-bytecomp-simplify--macro8 'lisp-indent-function 1)
(eval-when-compile
  (defmacro t-bytecomp-simplify--macro8 ()
    '(message "hi")))


;;-----------------------------------------------------------------------------
;; defun

(defun t-bytecomp-simplify--func1 ()
  '(message "hi"))
(put 't-bytecomp-simplify--func1
     'lisp-indent-function 1)

;;-----------------------------------------------------------------------------
;; no such macro

(put 't-bytecomp-simplify--undefined-name
     'lisp-indent-function 1)

