;; Copyright 2010, 2011 Kevin Ryde.

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.



(info-xref-docstrings '("d-info-xref.el"))

;;;###autoload
(defcustom my-d-info-xref-var nil
  "Blah"
  :link  '(info-link "(blah)No such file")
  :link  '(info-link "(emacs)No such node")
  :link  '(info-link "Top"))
(customize-variable 'my-d-info-xref-var)

;; Local variable settings (per Info node `FilXXe Variables') are made
;; Local variable settings (per Info node `File Variables') are made
;; Local variable settings (per Info node `(noch)File Variables') are made
;; Local variable settings (per Info node `(emacs)FXile Variables') are made



(info-xref-docstrings (mapcan (lambda (dir)
                                (and (file-exists-p dir)
                                     (directory-files dir t "\\.el\\'")))
                              load-path))


;;-----------------
;; compile

(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-byte-compile))
(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-show-autoloads))

;;-----------------


(eval-when-compile
  (require 'cl)) ;; for `loop' macro
(setq filename-list '("a" "b" ".#z" "c"))
(setq filename-list (loop for filename in filename-list
                          unless (info-xref-lock-file-p filename)
                          collect filename))
