;; Copyright 2012 Kevin Ryde.

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.


(progn
  (require 'cl)
  (Info-directory)
  (add-to-list 'Info-directory-list "/usr/share/info/xemacs21/")
  (my-info-directory "/usr/share/info/xemacs21/")
  (goto-char (point-min))

  (re-search-forward "^\\*.*(external-widget)") ;; xemacs bad dir entry
  (re-search-forward "^\\*.*(term)") ;; xemacs bad term.info file
  
  ;; sharutils
  ;; nosuch
  ;; * mail-files: (sharutils)mail-files invocation. Send files to remote site.
  ;; * mailshar: (sharutils)mailshar invocation.     Make and send a shell archive.
  ;; * uudecode: (sharutils)uudecode invocation.     Restore file from 7-bits.
  ;; * uuencode: (sharutils)uuencode invocation.     Force binary file to 7-bits.
  (re-search-forward "^\\* uuencode")
  ;; bad
  ;; * doc-license: GNU Free Documentation License.  Documentation license.
  ;; (re-search-forward "^\\* doc-license")


  ;; nosuch, in older texinfo
  ;; * texi2pdf: (texinfo)PDF Output.
  ;;                                 PDF output for Texinfo.
  (re-search-forward "^\\* texi2pdf")


  (let ((upto (point))
        (count 0))
    (while t
      (message "count %S" (incf count))
      (Info-directory)
      (goto-char upto)
      (re-search-forward "^\\*")
      (setq upto (point))
      (beginning-of-line)
      (Info-follow-nearest-node)
      '(sit-for 1)
      )))
